<form (ngSubmit)="onSubmit()">
  <label for="label">Label : </label>
  <input type="text" id="label" name="label" 
  [(ngModel)]="product.label">
  <label for="price">Price : </label>
  <input type="number" id="price" name="price" 
  [(ngModel)]="product.price">
  <label for="category">Category : </label>
  <!-- <input type="text" id="category" name="category" 
  [(ngModel)]="product.category"> -->
  <select name="category" [(ngModel)]="product.category" *ngIf="categories.length > 0">
      <option *ngFor="let catItem of categories">
        {{catItem.label}}
      </option>
    </select>
  <button>Save</button>
</form>